<?php

function recipe_blogz_sanitize_checkbox( $input ) {
    if ( true === $input ) {
        return 1;
     } else {
        return 0;
     }
}
function recipe_blogz_sanitize_url( $url ) {
  return esc_url_raw( $url );
}


if (!function_exists('recipe_blogz_get_categories_select')):
    function recipe_blogz_get_categories_select()
    {
        $recipe_blogz_categories = get_categories();
        $results = [];

        if (!empty($recipe_blogz_categories)):
            $results[''] = __('Select Category', 'recipe-blogz');
            foreach ($recipe_blogz_categories as $result) {
                $results[$result->slug] = $result->name;
            }
        endif;
        return $results;
    }
endif;

function recipe_blogz_sanitize_select($input, $setting)
{
    $input = sanitize_key($input);

    $choices = $setting->manager->get_control($setting->id)->choices;

    return array_key_exists($input, $choices) ? $input : $setting->default;
}
